import UiFormDinamic from './Forms/Dinamic.vue';
import UiDialog from './Dialog/Custom.vue';
import UiMenuNav from './Shared/MenuNav.vue';
import UiMenuButton from './Shared/MenuButton.vue';
import UiMenuButtonList from './Shared/MenuButtonList.vue';
import UiTablePagination from './Shared/TablePagination.vue';
import UiBtnIcon from './Shared/BtnIcon.vue';
import UiCardChip from './Shared/CardChip.vue';
import UiCardChipIcon from './Shared/CardChipIcon.vue';
import UiSubheaderAction from './Shared/SubheaderAction.vue';
import UiListIconAction from './Shared/ListIconAction.vue';
import UiListIconSwitch from './Shared/ListIconSwitch.vue';
import UiAppBar from './Core/AppBar.vue';
import UiAppBarMenu from './Core/AppBarMenu.vue';
import UiScrollContent from './Core/ScrollContent.vue';
import UiToolbarTable from './Shared/ToolbarTable.vue';
import UiTitleToolbar from './Shared/TitleToolbar.vue';
import UiEmptyPage from './Shared/EmptyPage.vue';
import UiAppBarUser from './Core/AppBarUser.vue';

import mxDialog from '../global/models/DialogMixin';
import mxTable from '../global/models/Table';
import Dialog from '../global/models/Dialog';

export const components: any = {
    UiFormDinamic,
    UiDialog,
    UiMenuNav,
    UiMenuButton,
    UiMenuButtonList,
    UiTablePagination,
    UiAppBar,
    UiAppBarMenu,
    UiAppBarUser,
    UiBtnIcon,
    UiCardChip,
    UiCardChipIcon,
    UiSubheaderAction,
    UiListIconAction,
    UiListIconSwitch,
    UiScrollContent,
    UiToolbarTable,
    UiTitleToolbar,
    UiEmptyPage,
};

export const mixins = {
    mxDialog,
    mxTable,
};

export const models = {
    Dialog,
};
